From 33198fdb4467637fabf292e18530c89e8b6bad4e Mon Sep 17 00:00:00 2001
From: Mike Perry <mikeperry-git@fscked.org>
Date: Wed, 7 Dec 2011 19:36:38 -0800
Subject: [PATCH 10/13] Disable SSL Session ID tracking.

We can't easily bind SSL Session ID tracking to url bar domain,
so we have to disable them to satisfy
https://www.torproject.org/projects/torbrowser/design/#identifier-linkability.
---
 security/nss/lib/ssl/sslsock.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/security/nss/lib/ssl/sslsock.c b/security/nss/lib/ssl/sslsock.c
index 22206f7..31086db 100644
--- a/security/nss/lib/ssl/sslsock.c
+++ b/security/nss/lib/ssl/sslsock.c
@@ -173,7 +173,7 @@ static sslOptions ssl_defaults = {
     PR_FALSE,	/* enableSSL2         */ /* now defaults to off in NSS 3.13 */
     PR_TRUE,	/* enableSSL3         */
     PR_TRUE, 	/* enableTLS          */ /* now defaults to on in NSS 3.0 */
-    PR_FALSE,	/* noCache            */
+    PR_TRUE,	/* noCache            */
     PR_FALSE,	/* fdx                */
     PR_FALSE,	/* v2CompatibleHello  */ /* now defaults to off in NSS 3.13 */
     PR_TRUE,	/* detectRollBack     */
-- 
1.7.5.4

